%define ver 1.00
%define fpcdir /usr/lib/fpc/%{ver}
%define docdir %{_docdir}/fpc-%{ver}

Summary: Free Pascal Compiler
Name: fpc
Version: %{ver}
Release: 3
ExclusiveArch: i386
Copyright: GPL
Group: Development/Languages
Source: fpc-%{ver}-src.tar.gz
Source1: fpc-docs-%{ver}.tar.bz2
URL: http://www.freepascal.org/
BuildRoot: %{_tmppath}/%name-root
BuildPrereq: fpc >= %{version}
Obsoletes: fpc-extra fpc-units fpk-pascal

%description	
The Free Pascal Compiler is a Turbo Pascal 7.0 and Delphi compatible 32bit
Pascal Compiler. It comes with fully TP 7.0 compatible run-time library.
Some extensions are added to the language, like function overloading. Shared
libraries can be linked and created. Basic Delphi support is already
implemented (classes, exceptions, ansistrings).

This package contains commandline compiler and utils. Provided units are
the runtime library (RTL), free component library (FCL), gtk, ncurses,
zlib, mysql, postgres, ibase bindings.

%package docs
Summary: Free Pascal Compiler Documentation
Group: Development/Languages

%description docs
The Free Pascal Compiler is a Turbo Pascal 7.0 and Delphi compatible 32bit
Pascal Compiler. It comes with fully TP 7.0 compatible run-time library.
Some extensions are added to the language, like function overloading. Shared
libraries can be linked and created. Basic Delphi support is already
implemented (classes,exceptions,ansistrings). This package contains
the documentation in pdf format.

%prep
%setup -q -c -a 1

%build
NEWPP=`pwd`/compiler/ppc386
make compiler_cycle
make rtl_clean rtl_smart PP=${NEWPP}
make fcl_smart PP=${NEWPP}
make api_smart PP=${NEWPP}
make packages_smart PP=${NEWPP}
make utils_all PP=${NEWPP}

%install
rm -rf $RPM_BUILD_ROOT

mkdir -p $RPM_BUILD_ROOT/{etc/profile.d,usr}
export PREFIXINSTALLDIR=$RPM_BUILD_ROOT/usr
NEWPP=`pwd`/compiler/ppc386
NEWPPUFILES=`pwd`/utils/ppufiles
INSTALLOPTS="PP=${NEWPP} PPUFILES=${NEWPPUFILES}"
make compiler_install ${INSTALLOPTS}
make rtl_install ${INSTALLOPTS}
make fcl_install ${INSTALLOPTS}
make api_install ${INSTALLOPTS}
make packages_install ${INSTALLOPTS}
make utils_install ${INSTALLOPTS}

make fcl_exampleinstall ${INSTALLOPTS} DOCINSTALLDIR=$RPM_BUILD_ROOT%{docdir}
make api_exampleinstall ${INSTALLOPTS} DOCINSTALLDIR=$RPM_BUILD_ROOT%{docdir}
make packages_exampleinstall ${INSTALLOPTS} DOCINSTALLDIR=$RPM_BUILD_ROOT%{docdir}

make demo_install ${INSTALLOPTS} DOCINSTALLDIR=$RPM_BUILD_ROOT%{docdir}
make doc_install ${INSTALLOPTS} DOCINSTALLDIR=$RPM_BUILD_ROOT%{docdir}
make man_install ${INSTALLOPTS} MANINSTALLDIR=$RPM_BUILD_ROOT%{_mandir}

install -m644 *.pdf $RPM_BUILD_ROOT%{docdir}

cd $RPM_BUILD_ROOT/usr/bin
ln -nsf ../lib/fpc/%{ver}/ppc386
cd -
echo "export FPCDIR=%{fpcdir}" >$RPM_BUILD_ROOT/etc/profile.d/fpc.sh
echo "setenv FPCDIR %{fpcdir}" >$RPM_BUILD_ROOT/etc/profile.d/fpc.csh

%clean
rm -rf $RPM_BUILD_ROOT

%post
/sbin/ldconfig

%postun
/sbin/ldconfig

%files
%defattr(-, root, root)
%config /etc/profile.d/*
%{fpcdir}
%{_libdir}/fpc/lexyacc/*
%{_bindir}/*
%{_mandir}/*/*
%{docdir}/examples

%files docs
%defattr(-, root, root)
%{docdir}/*.pdf
%{docdir}/README
%{docdir}/NEWS
%{docdir}/faq.html
%{docdir}/faq.txt

%changelog
* Mon Jul 24 2000 Prospector <prospector@redhat.com>
- rebuilt

* Wed Jul 19 2000 Tim Powers <timp@redhat.com>
- rebuilt against glibc-2.1.91-15

* Thu Jul 13 2000 Than Ngo <than@redhat.de>
- update to 1.00

* Wed Jul 12 2000 Than Ngo <than@redhat.de>
- rebuilt

* Thu Jul 06 2000 Than Ngo <than@redhat.de>
- fix docdir

* Mon Jul 03 2000 Tim Powers <timp@redhat.com>
- rebuilt to fix /usr/doc problem

* Thu Jun 08 2000 Than Ngo <than@redhat.de>
- FHS fix
- clean up specfile

* Mon May 01 2000 Ngo Than <than@redhat.de>
- update fpc-0.99.14
- fpc-extra fpc-units now in fpc-package
- support zlib

* Fri Feb 15 2000 Tim Powers <timp@redhat.com>
- fixed man pages not being gzipped
- files in /etc/profile.d marked as config

* Thu Nov 25 1999 Ngo Than <than@redhat.de>
- initial RPM for powertools-6.2
